package com.ejie.ab79.exceptions;

import javax.xml.ws.WebFault;

@WebFault(name = "Ab79Exception", targetNamespace = "http://ab79.exe.webservice/")
public class Ab79Exception extends Exception {

	private static final long serialVersionUID = 1L;
	private Ab79ExceptionGeneral faultInfo = new Ab79ExceptionGeneral();

	public Ab79Exception(String codigo, String mensajeCastellano, String mensajeEuskera) {
		faultInfo.setCodigo(codigo);
		faultInfo.setMensajeCastellano(mensajeCastellano);
		faultInfo.setMensajeEuskera(mensajeEuskera);
	}

	public Ab79ExceptionGeneral getFaultInfo() {
		return faultInfo;
	}

	public void setFaultInfo(Ab79ExceptionGeneral faultInfo) {
		this.faultInfo = faultInfo;
	}

}
